OgreView Class Reference

`#import <OgreOSXCocoaTouchView.h>`

List of all members.

## Public Member Functions

(id) | - initWithFrame:
(id) | - initWithGLiPhoneWindow:
(void) | - setOgreWindow:
(Ogre::RenderWindow *) | - ogreWindow
(void) | - setFrameSize:
(id) | - initWithFrame:
(id) | - initWithGLOSXWindow:
(void) | - setOgreWindow:
(Ogre::RenderWindow *) | - ogreWindow
(void) | - setFrameSize:

## Protected Attributes

Ogre::RenderWindow * | window

## Detailed Description

Definition at line 35 of file OgreOSXCocoaTouchView.h.

## Member Function Documentation

- (id) initWithFrame: |  | (CGRect) | f |

- (id) initWithFrame: |  | (NSRect) | f |

- (id) initWithGLiPhoneWindow: |  | (Ogre::RenderWindow *) | w |

- (id) initWithGLOSXWindow: |  | (Ogre::RenderWindow *) | w |

- Ogre: |  |  |

- Ogre: |  |  |

- (void) setFrameSize: |  | (CGSize) | s |

- (void) setFrameSize: |  | (NSSize) | s |

- (void) setOgreWindow: |  | (Ogre::RenderWindow *) | w |

- (void) setOgreWindow: |  | (Ogre::RenderWindow *) | w |

## Member Data Documentation

- Ogre:`[protected]`

Definition at line 37 of file OgreOSXCocoaTouchView.h.

The documentation for this class was generated from the following files:

- OgreOSXCocoaTouchView.h
- OgreOSXCocoaView.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25